Package net.shibboleth.idp.attribute.resolver.dc.storage

# Interface StorageServiceSearch

All Superinterfaces:
  `ExecutableSearch`

public interface StorageServiceSearch extends ExecutableSearch
A search that can be executed against a `StorageService` to fetch a result.

Since:
  4.1.0

## Method Summary

Modifier and Type
Method
Description
`StorageRecord<?>`
`execute(StorageService storageService)`
Executes the search and returns the result.

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.ExecutableSearch

`getResultCacheKey`

## Method Details

### execute

@Nullable StorageRecord<?> execute(@Nonnull StorageService storageService) throws IOException
Executes the search and returns the result.

Parameters:
  `storageService` - storage service to search
Returns:
  the result of the executed search
Throws:
  `IOException` - thrown if there is a problem executing the search